Summary:	Fast image viewer/indexer/montager
Summary(hu.UTF-8):	Gyors képnézegető/indexelő/montázsoló
Summary(pl.UTF-8):	Szybki program do przeglądania/indeksowania/montowania obrazów
Name:		feh
Version:	2.5
Release:	3
License:	BSD
Group:		X11/Applications/Graphics
Source0:	https://derf.homelinux.org/~derf/projects/feh/%{name}-%{version}.tar.bz2
# Source0-md5:	d5f6048f79005c05b51060beafd1f08d
URL:		http://feh.finalrewind.org/
# Patch0:		%{name}-install.patch
Source1:	%{name}-bash-completion
BuildRequires:	giblib-devel >= 1.2.4
BuildRequires:	imlib2-devel >= 1.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXt-devel
Provides:	WallpaperChanger
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
feh is a fast, lightweight image viewer which uses imlib2. It is
commandline-driven and supports multiple images through slideshows,
thumbnail browsing or multiple windows, and montages or index prints
(using truetype fonts to display file info). Advanced features include
fast dynamic zooming, progressive loading, loading via HTTP (with
reload support for watching webcams), recursive file opening
(slideshow of a directory hierarchy), and mousewheel/keyboard control.

%description -l hu.UTF-8
feh egy gyors, könnyűsúlyú képnézegető, amely az imlib2-t használja.
Parancssor-orientált és lehetséges több képet is nézni vetítés,
bélyegkép böngészés vagy több ablakban. További lehetőségek (többek
között): gyors dinamikus zoom, progresszív betöltés, HTTP protokoll
(webcam), rekurzív fájl megnyitás (könyvtár-szerkezetben diavetítés)
és egér-götgetés/billentyűzettel irányítás.

%description -l pl.UTF-8
feh jest szybką, lekką przeglądarką obrazów która wykorzystuje
bibliotekę imlib2. Jest kierowana z linii poleceń i obsługuje wiele
obrazów naraz przez "pokazy slajdów", przeglądanie miniatur lub wiele
okienek na raz, oraz montowanie obrazów lub tworzenie indeksów
(wykorzystując fonty TrueType do wyświetlania informacji o plikach).
Zaawansowane opcje zawierają szybie powiększanie, ładowanie stopniowe,
ładowanie przez HTTP (z opcją przeładowania do oglądania webcamów),
rekursywne otwieranie plików (pokaz slajdów z hierarchii katalogów),
oraz sterowanie z klawiatury/myszki (też z kółkiem).

%package -n bash-completion-feh
Summary:	bash-completion to feh
Summary(pl.UTF-8):	bashowe dopełnianie linii poleceń programu feh
Group:		Applications/Shells
Requires:	bash-completion
Obsoletes:	feh-bash-completion

%description -n bash-completion-feh
bash-completion to feh.

%description -n bash-completion-feh -l pl.UTF-8
bashowe dopełnianie linii poleceń programu feh.

%prep
%setup -q
# %patch0 -p1
%{__sed} -i "s|CFLAGS ?=.*|CFLAGS = %{rpmcflags}|" config.mk

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog examples README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/feh
%{_mandir}/man1/*.1*

%files -n bash-completion-feh
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/%{name}
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/feh.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 13aa8ee
- release 3 (by relup.sh)

* Sat Jul 06 2013 Artur Frysiak <artur@frysiak.net> 7d2ecb6
- Fix sed script, release 2

* Thu Apr 05 2012 Zsolt Udvari <uzsolt@pld-linux.org> ad49e77
- 2.5

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d448870
- release 2

* Fri Feb 03 2012 Zsolt Udvari <uzsolt@pld-linux.org> 9648299
- 2.3

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> 9a0a4b5
- Up to 2.2

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d649acc
- release 2

* Thu Nov 03 2011 Zsolt Udvari <uzsolt@pld-linux.org> 2d7509e
- 2.1

* Tue Oct 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 57e2b4e
- 2.0
- disable install.patch

* Tue Sep 27 2011 Zsolt Udvari <uzsolt@pld-linux.org> 55dba5a
- already applied in source

* Tue Sep 27 2011 Zsolt Udvari <uzsolt@pld-linux.org> fa5105d
- 1.16.2
- non-memleak patch disabled, already applied

* Tue Sep 13 2011 Paweł Gołaszewski <blues@pld-linux.org> 9ae593b
- rel.2 - non_memleak patch added. Fixes memory leak caused by
  not-a-real-memleak.

* Mon Sep 12 2011 Zsolt Udvari <uzsolt@pld-linux.org> 35de08b
- 1.16.1

* Mon Sep 05 2011 Paweł Gołaszewski <blues@pld-linux.org> e9e9e4a
- 1.16 - git_fixes now in mainstream

* Fri Sep 02 2011 Paweł Gołaszewski <blues@pld-linux.org> 1592964
- rel.4: git_fixes added in place of git_ed5f55e967152ff6c730. Additionally
  fix memleak on image reload from http.

* Thu Sep 01 2011 Paweł Gołaszewski <blues@pld-linux.org> 4353b4e
- rel.3: official git_ed5f55e967152ff6c730 patch added.

* Thu Sep 01 2011 Paweł Gołaszewski <blues@pld-linux.org> 7a0ff6c
- official patch replaced with non-official and not perfect but working
  better (don't exit on reloading broken image while "reload" option set)

* Wed Aug 31 2011 Paweł Gołaszewski <blues@pld-linux.org> 6f51751
- release 2 - add git_fixes patch that fixes sig11 on empty image while
  reloading

* Wed Aug 31 2011 Paweł Gołaszewski <blues@pld-linux.org> 6f66b26
- fix homepage

* Wed Aug 17 2011 Zsolt Udvari <uzsolt@pld-linux.org> 36077f2
- 1.15.1

